#!/bin/bash

USER=root
USERDIR=/root
BOOTCOLOUR="000"

echo "Installing LedBorg, please wait..."

# Unload in case of reinstalls
rmmod ledborg

# Copy files
cp ledborg.ko $USERDIR/
chown $USER $USERDIR/ledborg.ko

# Setup driver config
bash -c "echo 'KERNEL==\"ledborg\", NAME=\"ledborg\", MODE=\"0666\"' > /etc/udev/rules.d/20-ledborg.rules"

# Setup driver autoload
cp ledborg-service.sh /etc/rc.d/ledborg.sh
chmod +x /etc/rc.d/ledborg.sh
echo $BOOTCOLOUR > $USERDIR/ledborg_bootcolour
chown $USER $USERDIR/ledborg_bootcolour

# Test load
sleep 1
insmod $USERDIR/ledborg.ko
echo "010" > /dev/ledborg
echo "LedBorg installed, LedBorg should now be green"

